=== debian/changelog ===
ros-dashing-rclc (1.0.0-1bionic) bionic; urgency=high

  * service callbacks with context
  * fixed minor issues unit tests
  * upgraded setup_ros action (ci jobs)
  * removed Eloquent from ci jobs

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-dashing-rclc (0.1.7-1bionic) bionic; urgency=high

  * Corrected corrupted changelog

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-dashing-rclc (0.1.6-1bionic) bionic; urgency=high

  * Fixed issues due to Github Action timing delays on cloud build
  * Fixed missing package dependency in Github Action for Eloquent

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-dashing-rclc (0.1.5-1bionic) bionic; urgency=high

  * Added support for services,clients and guard_conditions to rclc executor
  * Added table for bloom release status in README file

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 10 Dec 2020 23:00:00 -0000

ros-dashing-rclc (0.1.4-1bionic) bionic; urgency=high

  * Fixed error in bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-dashing-rclc (0.1.3-1bionic) bionic; urgency=high

  * Added rclc_lifecycle package
  * Change maintainer information
  * Minor fixes, updated unit tests

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-dashing-rclc (0.1.2-1bionic) bionic; urgency=high

  * Fixed compiler errors for bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 18 May 2020 22:00:00 -0000

ros-dashing-rclc (0.1.1-1bionic) bionic; urgency=high

  * Initial release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000
