=== debian/control ===
Source: ros-dashing-rclc
Section: misc
Priority: optional
Maintainer: Jan Staschulat <jan.staschulat@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-pytest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-example-interfaces, ros-dashing-launch-testing, ros-dashing-osrf-testing-tools-cpp, ros-dashing-rcl, ros-dashing-rcutils, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-typesupport-c, ros-dashing-std-msgs, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rclc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rcl, ros-dashing-rcutils, ros-dashing-rosidl-generator-c, ros-dashing-ros-workspace
Description: The ROS client library in C.
